    One-dimensional Poisson function.

poisson

A model expressing the ratio of two Poisson distributions of mean mu, one for which the random variable is x, and the other for which the random variable is equal to mu itself.

>>> create_model_component("poisson", "mdl")
>>> print(mdl)

Create a component of the poisson model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.mean thawed 1 1e-05 3.40282e+38 mdl.ampl thawed 1 -3.40282e+38 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
mean
The mean of the first distribution.
ampl
The amplitude of the model.

Notes

The functional form of the model for points is:

f(x) = ampl * mean! exp((x - mean) * log(mean)) / x!

The grid version is evaluated by numerically intgerating the function over each bin using a non-adaptive Gauss-Kronrod scheme suited for smooth functions [1] , falling over to a simple trapezoid scheme if this fails.

References

[1] https://www.gnu.org/software/gsl/manual/html_node/QNG-non_002dadaptive-Gauss_002dKronrod-integration.html

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023